Package org.apache.lucene.queries.payloads

## Enum SpanPayloadCheckQuery.MatchOperation

- java.lang.Object
- - java.lang.Enum<SpanPayloadCheckQuery.MatchOperation>
  - - org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.MatchOperation

- All Implemented Interfaces:
    `Serializable`, `Comparable<SpanPayloadCheckQuery.MatchOperation>`
  Enclosing class:
    SpanPayloadCheckQuery

      public static enum SpanPayloadCheckQuery.MatchOperation
      extends Enum<SpanPayloadCheckQuery.MatchOperation>

  The payload type. This specifies the decoding of the ByteRef for the payload.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EQ` | Checks for binary equality of the byte array (default)
    `GT` | GT Matches if the payload value is greater than the reference
    `GTE` | GTE Matches if the payload value is greater than or equal to the reference
    `LT` | LT Matches if the payload value is less than the reference
    `LTE` | LTE Matches if the payload value is less than or equal to the reference

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SpanPayloadCheckQuery.MatchOperation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SpanPayloadCheckQuery.MatchOperation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQ

          public static final SpanPayloadCheckQuery.MatchOperation EQ

      Checks for binary equality of the byte array (default)

    - #### GT

          public static final SpanPayloadCheckQuery.MatchOperation GT

      GT Matches if the payload value is greater than the reference

    - #### GTE

          public static final SpanPayloadCheckQuery.MatchOperation GTE

      GTE Matches if the payload value is greater than or equal to the reference

    - #### LT

          public static final SpanPayloadCheckQuery.MatchOperation LT

      LT Matches if the payload value is less than the reference

    - #### LTE

          public static final SpanPayloadCheckQuery.MatchOperation LTE

      LTE Matches if the payload value is less than or equal to the reference

  - ### Method Detail

    - #### values

          public static SpanPayloadCheckQuery.MatchOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpanPayloadCheckQuery.MatchOperation c : SpanPayloadCheckQuery.MatchOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpanPayloadCheckQuery.MatchOperation valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null